Subject: ANNOUNCE: MiniVend V3.02 -- Shopping cart with DBI support
From: [email-masked] (Mike Heins)
Date: 7 Sep 1997 15:21:07 GMT
Newsgroups: comp.lang.perl.announce,comp.lang.perl.modules

ANNOUNCE: MiniVend V3.02 -- Shopping cart with SQL support

MiniVend, based on Vend, Andrew Wilcox's fine shopping cart program, has
come out with a new release, Version 3.02.

It is available at all Comprehensive Perl Archive Network (CPAN)
sites in the directory CPAN/authors/id/MIKEH.

See info at:

           http://www.minivend.com/minivend/

-------------------------------------------------------------

    MiniVend V3.02

    Copyright 1996,1997 by Michael J. Heins <[email-masked]>

    Largely based on Vend 0.2 Copyright 1995 by Andrew M. Wilcox
    <[email-masked]>

    Portions from Vend 0.3 Copyright 1995,1996 by Andrew M. Wilcox

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License as
    published by the Free Software Foundation; either version 2 of
    the License, or (at your option) any later version.

-------------------------------------------------------------
                       W H A T ' S    N E W

- SQL support for ODBC, and almost any database supported by
  Perl's powerful DBI/DBD interface. This includes Oracle, Sybase,
  MySQL, mSQL, Solid, Ingres, Informix, PostgreSQL, and several
  others.
- Integrated CyberCash support.
- Seamless PGP integration for emailed orders.
- Improved installation.
- Powerful static page building capability.

                     A B O U T    M I N I V E N D

MiniVend is a powerful electronic catalog system (commonly known as a
shopping cart) with fast and easy online ordering. It provides built-in
or SQL database support, SSL security, a search engine, and integrated
real-time transaction support. It rivals even the costliest commercial
systems.

MiniVend 3.0 Features

     * Users maintain a "shopping cart" for ordered items
     * Multiple independent or shared catalogs allow one server to run
       many storefronts or a "mall"
     * SSL support means secure and practical credit card ordering
     * Complete SQL database support, inluding ODBC, via the powerful
       Perl DBI/DBD interface
     * Powerful search capability
     * PGP support for secure off-site mailing of orders
     * Built in support for CyberCash
     * Static page building for the best performance
     * Multi-server mode for very high capacity on systems with
       sufficient memory
     * Intelligent cookie support -- browsers that don't accept cookies
       will still work fine
     * Built-in addressable database support with virtually unlimited
       rows and columns and field sizes-- no SQL is required to run
       Minivend
     * Many, many, other features

-------------------------------------------------------------------

                  A V A I L A B I L I T Y
                          A N D
                 C O M P A T I B I L I T Y

MiniVend has been well-tested on Solaris 2, SunOS, Linux, OSF/Alpha,
HP/UX, BSDI, and FreeBSD. It should work on almost any UNIX with a RELEASE
version of Perl 5.002 or higher that passes the Perl 'make test' 100%.

MiniVend is for UNIX at this point.  See the web site for pointers
to an alpha Windows 95/NT version.

BSDI 3.0 has problems with UNIX-domain sockets and MiniVend. You must
use INET mode.

Please let the author know if you have successfully run MiniVend on
any additional platforms -- patches would be appreciated.

The author is very interested in learning your problems with MiniVend,
and is always interested in improving the documentation.  (He isn't much
interested in BEING your documentation, though, unless you pay well and
promptly.) Please send comments, well-researched questions, kudos,
and complaints to:

                   [email-masked]